public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Zac Medico" <zmedico@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/APScheduler/
Date: Tue, 26 Oct 2021 04:51:55 +0000 (UTC)	[thread overview]
Message-ID: <1635223910.7c6c22ed5f98caf39e18fbf4387ff3420c45c3cb.zmedico@gentoo> (raw)

commit:     7c6c22ed5f98caf39e18fbf4387ff3420c45c3cb
Author:     Zac Medico <zmedico <AT> gentoo <DOT> org>
AuthorDate: Tue Oct 26 04:49:58 2021 +0000
Commit:     Zac Medico <zmedico <AT> gentoo <DOT> org>
CommitDate: Tue Oct 26 04:51:50 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7c6c22ed

dev-python/APScheduler: Suppress setuptools warning

 * QA Notice: setuptools warnings detected:
 *
 * 	Usage of dash-separated 'upload-dir' will not be supported in future versions. Please use the underscore name 'upload_dir' instead

Closes: https://bugs.gentoo.org/797751
Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Zac Medico <zmedico <AT> gentoo.org>

 dev-python/APScheduler/APScheduler-3.6.3.ebuild | 3 +++
 dev-python/APScheduler/APScheduler-3.8.1.ebuild | 7 +++++++
 2 files changed, 10 insertions(+)

diff --git a/dev-python/APScheduler/APScheduler-3.6.3.ebuild b/dev-python/APScheduler/APScheduler-3.6.3.ebuild
index 8f1d7466fc1..ab32c3d78ba 100644
--- a/dev-python/APScheduler/APScheduler-3.6.3.ebuild
+++ b/dev-python/APScheduler/APScheduler-3.6.3.ebuild
@@ -61,5 +61,8 @@ python_prepare_all() {
 		sed -Ee "s:$(echo "${test_failures[@]}"| sed 's: :|:g'):_\\0:" -i "${REPLY}" || die
 	done < <(grep -rElZ "$(echo "${test_failures[@]}"| sed 's: :|:g')" "${S}")
 
+	# suppress setuptools warning #797751
+	sed -e 's|^upload-dir|upload_dir|' -i setup.cfg || die
+
 	distutils-r1_python_prepare_all
 }

diff --git a/dev-python/APScheduler/APScheduler-3.8.1.ebuild b/dev-python/APScheduler/APScheduler-3.8.1.ebuild
index 4f840eeaf53..470a0d39cdc 100644
--- a/dev-python/APScheduler/APScheduler-3.8.1.ebuild
+++ b/dev-python/APScheduler/APScheduler-3.8.1.ebuild
@@ -40,3 +40,10 @@ EPYTEST_DESELECT=(
 	tests/test_jobstores.py::test_repr_redisjobstore
 	tests/test_jobstores.py::test_repr_zookeeperjobstore
 )
+
+python_prepare_all() {
+	# suppress setuptools warning #797751
+	sed -e 's|^upload-dir|upload_dir|' -i setup.cfg || die
+
+	distutils-r1_python_prepare_all
+}


             reply	other threads:[~2021-10-26  4:51 UTC|newest]

Thread overview: 33+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-10-26  4:51 Zac Medico [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-25  4:02 [gentoo-commits] repo/gentoo:master commit in: dev-python/apscheduler/ Michał Górny
2024-11-22 19:30 [gentoo-commits] repo/gentoo:master commit in: dev-python/APScheduler/ Michał Górny
2023-10-29  5:28 Michał Górny
2023-10-29  5:28 Michał Górny
2023-08-20  2:30 Michał Górny
2023-08-14 14:55 Michał Górny
2023-08-13 19:00 Arthur Zamarin
2023-03-04  5:48 Michał Górny
2023-02-01  4:57 Michał Górny
2023-01-31 16:58 Michał Górny
2022-06-04 17:39 Michał Górny
2022-05-16 12:55 Michał Górny
2022-02-28  8:28 Michał Górny
2022-02-24 22:00 Michał Górny
2021-05-23 10:48 Michał Górny
2021-03-15  2:55 Sam James
2020-10-12 18:36 Zac Medico
2020-05-15  6:40 Zac Medico
2020-05-15  6:39 Zac Medico
2020-03-26 11:16 Michał Górny
2018-12-03 12:03 Virgil Dupras
2018-11-27  7:19 Zac Medico
2018-11-26 14:10 Zac Medico
2018-11-26 14:01 Zac Medico
2018-11-26 13:56 Zac Medico
2018-04-14 17:42 Zac Medico
2017-05-08  3:28 Zac Medico
2017-05-07 16:46 Mike Gilbert
2017-05-04  7:27 Zac Medico
2016-10-19  1:04 Zac Medico
2016-10-17 23:49 Zac Medico
2016-05-11 20:33 Mike Gilbert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1635223910.7c6c22ed5f98caf39e18fbf4387ff3420c45c3cb.zmedico@gentoo \
    --to=zmedico@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox